## r-bioc-preprocesscore 1.22.0

=== DESCRIPTION ===
Package: preprocessCore
Version: 1.22.0
Title: A collection of pre-processing functions
Author: Benjamin Milo Bolstad <bmb@bmbolstad.com>
Maintainer: Benjamin Milo Bolstad <bmb@bmbolstad.com>
Depends: methods
Imports: stats
Description: A library of core preprocessing routines 
License: LGPL (>= 2)
Collate: normalize.quantiles.R quantile_extensions.R
        rma.background.correct.R rcModel.R colSummarize.R
        subColSummarize.R plmr.R plmd.R
LazyLoad: yes
biocViews: Infrastructure
Packaged: 2013-04-04 06:39:02 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.22.0-1) unstable; urgency=low

  * Initial release (closes: #720550)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 09:23:02 +0200

=== debian/control ===
Source: r-bioc-preprocesscore
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
Homepage: http://bioconductor.org/packages/2.12/bioc/html/preprocesscore.html

Package: r-bioc-preprocesscore
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: BioConductor collection of pre-processing functions
 This BioConductor module contains a library of pre-processing
 functions.  It is imported by several other BioConductor modules.

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/preprocessCore.html .*/preprocessCore_([\d\.]+)\.tar\.gz

## r-bioc-preprocesscore 1.26.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.22.0
+Version: 1.26.1
 Title: A collection of pre-processing functions
 Author: Benjamin Milo Bolstad <bmb@bmbolstad.com>
 Maintainer: Benjamin Milo Bolstad <bmb@bmbolstad.com>
@@ -12,4 +12,4 @@
         subColSummarize.R plmr.R plmd.R
 LazyLoad: yes
 biocViews: Infrastructure
-Packaged: 2013-04-04 06:39:02 UTC; biocbuild
+Packaged: 2014-05-10 04:58:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.26.1-1) unstable; urgency=low

  * New upstream version
  * debian/{control,copyright}: Fixed homepage
  * cme fix dpkg-control
  * add autookgtest

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jun 2014 15:50:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
-Homepage: http://bioconductor.org/packages/2.12/bioc/html/preprocesscore.html
+Homepage: http://bioconductor.org/packages/release/bioc/html/preprocessCore.html
 
 Package: r-bioc-preprocesscore
 Architecture: any
@@ -19,4 +20,3 @@
 Description: BioConductor collection of pre-processing functions
  This BioConductor module contains a library of pre-processing
  functions.  It is imported by several other BioConductor modules.
-

## r-bioc-preprocesscore 1.30.0

=== DESCRIPTION ===
Package: preprocessCore
Version: 1.30.0
Title: A collection of pre-processing functions
Author: Benjamin Milo Bolstad <bmb@bmbolstad.com>
Maintainer: Benjamin Milo Bolstad <bmb@bmbolstad.com>
Imports: stats
Description: A library of core preprocessing routines 
License: LGPL (>= 2)
Collate: normalize.quantiles.R quantile_extensions.R
        rma.background.correct.R rcModel.R colSummarize.R
        subColSummarize.R plmr.R plmd.R
LazyLoad: yes
biocViews: Infrastructure
NeedsCompilation: yes
Packaged: 2015-04-17 02:06:22 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.30.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 23:03:10 +0200

r-bioc-preprocesscore (1.28.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2014 15:10:52 +0200

## r-bioc-preprocesscore 1.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.30.0
+Version: 1.32.0
 Title: A collection of pre-processing functions
 Author: Benjamin Milo Bolstad <bmb@bmbolstad.com>
 Maintainer: Benjamin Milo Bolstad <bmb@bmbolstad.com>
@@ -12,4 +12,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2015-04-17 02:06:22 UTC; biocbuild
+Packaged: 2015-10-14 00:32:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.32.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 23:07:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest
 Priority: optional
-Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/preprocessCore.html

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/preprocessCore.html .*/preprocessCore_([\d\.]+)\.tar\.gz

## r-bioc-preprocesscore 1.34.0

=== DESCRIPTION ===
Package: preprocessCore
Version: 1.34.0
Title: A collection of pre-processing functions
Author: Benjamin Milo Bolstad <bmb@bmbolstad.com>
Maintainer: Benjamin Milo Bolstad <bmb@bmbolstad.com>
Imports: stats
Description: A library of core preprocessing routines 
License: LGPL (>= 2)
URL: https://github.com/bmbolstad/preprocessCore
Collate: normalize.quantiles.R quantile_extensions.R
        rma.background.correct.R rcModel.R colSummarize.R
        subColSummarize.R plmr.R plmd.R
LazyLoad: yes
biocViews: Infrastructure
NeedsCompilation: yes
Packaged: 2016-05-04 02:37:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.34.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 10:27:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/preprocessCore.html

## r-bioc-preprocesscore 1.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.34.0
+Version: 1.36.0
 Title: A collection of pre-processing functions
 Author: Benjamin Milo Bolstad <bmb@bmbolstad.com>
 Maintainer: Benjamin Milo Bolstad <bmb@bmbolstad.com>
@@ -13,4 +13,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2016-05-04 02:37:25 UTC; biocbuild
+Packaged: 2016-10-17 22:07:34 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.36.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 14:04:22 +0200

=== debian/control ===
Source: r-bioc-preprocesscore
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
Homepage: https://bioconductor.org/packages/preprocessCore/

Package: r-bioc-preprocesscore
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor collection of pre-processing functions
 This BioConductor module contains a library of pre-processing
 functions.  It is imported by several other BioConductor modules.

## r-bioc-preprocesscore 1.40.0

=== DESCRIPTION ===
Package: preprocessCore
Version: 1.40.0
Title: A collection of pre-processing functions
Author: Ben Bolstad <bmb@bmbolstad.com>
Maintainer: Ben Bolstad <bmb@bmbolstad.com>
Imports: stats
Description: A library of core preprocessing routines. 
License: LGPL (>= 2)
URL: https://github.com/bmbolstad/preprocessCore
Collate: normalize.quantiles.R quantile_extensions.R
        rma.background.correct.R rcModel.R colSummarize.R
        subColSummarize.R plmr.R plmd.R
LazyLoad: yes
biocViews: Infrastructure
NeedsCompilation: yes
Packaged: 2017-10-30 22:37:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.40.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 11:09:08 +0100

r-bioc-preprocesscore (1.38.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 21:11:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-preprocesscore/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-preprocesscore.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/
 
 Package: r-bioc-preprocesscore

## r-bioc-preprocesscore 1.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.40.0
+Version: 1.42.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,4 +13,4 @@
 LazyLoad: yes
 biocViews: Infrastructure
 NeedsCompilation: yes
-Packaged: 2017-10-30 22:37:04 UTC; biocbuild
+Packaged: 2018-04-30 22:43:30 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.42.0-2build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:24:36 +0000

r-bioc-preprocesscore (1.42.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:43:37 +0200

r-bioc-preprocesscore (1.42.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 12:14:51 +0200

=== debian/control ===
Source: r-bioc-preprocesscore
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
Homepage: https://bioconductor.org/packages/preprocessCore/

Package: r-bioc-preprocesscore
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor collection of pre-processing functions
 This BioConductor module contains a library of pre-processing
 functions.  It is imported by several other BioConductor modules.

## r-bioc-preprocesscore 1.44.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.42.0
+Version: 1.44.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -12,5 +12,10 @@
         subColSummarize.R plmr.R plmd.R
 LazyLoad: yes
 biocViews: Infrastructure
+git_url: https://git.bioconductor.org/packages/preprocessCore
+git_branch: RELEASE_3_8
+git_last_commit: dc1dc61
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: yes
-Packaged: 2018-04-30 22:43:30 UTC; biocbuild
+Packaged: 2018-10-30 22:46:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.44.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Dylan Aïssi <daissi@debian.org>  Sun, 04 Nov 2018 15:09:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/preprocessCore.html .*/preprocessCore_([\d\.]+)\.tar\.gz

## r-bioc-preprocesscore 1.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.44.0
+Version: 1.46.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_8
-git_last_commit: dc1dc61
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: 8cfc393
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes
-Packaged: 2018-10-30 22:46:27 UTC; biocbuild
+Packaged: 2019-05-02 23:34:44 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.46.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 13:43:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/

## r-bioc-preprocesscore 1.48.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.46.0
+Version: 1.48.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_9
-git_last_commit: 8cfc393
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 84da519
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: yes
-Packaged: 2019-05-02 23:34:44 UTC; biocbuild
+Packaged: 2019-10-29 23:32:49 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.48.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Nov 2019 22:30:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/preprocessCore.html .*/preprocessCore_([\d\.]+)\.tar\.gz

## r-bioc-preprocesscore 1.50.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.48.0
+Version: 1.50.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_10
-git_last_commit: 84da519
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: 9230366
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2019-10-29 23:32:49 UTC; biocbuild
+Packaged: 2020-04-27 23:41:02 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.50.0-1build2) groovy; urgency=high

  * No change rebuild against glibc 2.32

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 10 Sep 2020 15:06:46 +0200

r-bioc-preprocesscore (1.50.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 09:44:31 +0000

r-bioc-preprocesscore (1.50.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 May 2020 16:01:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/
+Rules-Requires-Root: no
 
 Package: r-bioc-preprocesscore
 Architecture: any

## r-bioc-preprocesscore 1.52.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.50.0
+Version: 1.52.1
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_11
-git_last_commit: 9230366
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: 91de4ab
+git_last_commit_date: 2020-11-24
+Date/Publication: 2021-01-08
 NeedsCompilation: yes
-Packaged: 2020-04-27 23:41:02 UTC; biocbuild
+Packaged: 2021-01-09 02:30:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.52.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 08:47:06 +0100

r-bioc-preprocesscore (1.52.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 11:39:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/preprocessCore.html .*/preprocessCore_([\d\.]+)\.tar\.gz

## r-bioc-preprocesscore 1.56.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.52.1
+Version: 1.56.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_12
-git_last_commit: 91de4ab
-git_last_commit_date: 2020-11-24
-Date/Publication: 2021-01-08
+git_branch: RELEASE_3_14
+git_last_commit: 8f32722
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2021-01-09 02:30:07 UTC; biocbuild
+Packaged: 2021-10-26 22:19:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.56.0+ds-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 11:02:44 +0100

r-bioc-preprocesscore (1.54.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Clean repeated builds
  * Added registry entries to d/u/metadata
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Wed, 01 Sep 2021 18:52:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/

## r-bioc-preprocesscore 1.58.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.56.0
+Version: 1.58.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_14
-git_last_commit: 8f32722
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 2995e3e
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:19:58 UTC; biocbuild
+Packaged: 2022-04-26 21:36:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.58.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 13:33:41 +0200

=== debian/control ===
Source: r-bioc-preprocesscore
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
Homepage: https://bioconductor.org/packages/preprocessCore/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-bioc-preprocesscore
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor collection of pre-processing functions
 This BioConductor module contains a library of pre-processing
 functions.  It is imported by several other BioConductor modules.

## r-bioc-preprocesscore 1.60.2+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.58.0
+Version: 1.60.2
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_15
-git_last_commit: 2995e3e
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 71fbf1d
+git_last_commit_date: 2023-01-19
+Date/Publication: 2023-01-19
 NeedsCompilation: yes
-Packaged: 2022-04-26 21:36:40 UTC; biocbuild
+Packaged: 2023-01-19 22:33:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.60.2+ds-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:04:01 +0100

r-bioc-preprocesscore (1.60.1+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 17:36:21 +0100

r-bioc-preprocesscore (1.60.0+ds-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 11:15:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-preprocesscore 1.62.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.60.2
+Version: 1.62.1
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_16
-git_last_commit: 71fbf1d
-git_last_commit_date: 2023-01-19
-Date/Publication: 2023-01-19
+git_branch: RELEASE_3_17
+git_last_commit: a1aecdf
+git_last_commit_date: 2023-05-01
+Date/Publication: 2023-05-02
 NeedsCompilation: yes
-Packaged: 2023-01-19 22:33:32 UTC; biocbuild
+Packaged: 2023-05-02 21:52:44 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.62.1+ds-1) unstable; urgency=medium

  * New upstream version
  * Drop debian/tests/control in favour of Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 16:41:26 +0200

## r-bioc-preprocesscore 1.64.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.62.1
+Version: 1.64.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,9 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_17
-git_last_commit: a1aecdf
-git_last_commit_date: 2023-05-01
-Date/Publication: 2023-05-02
+git_branch: RELEASE_3_18
+git_last_commit: 887abd3
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-05-02 21:52:44 UTC; biocbuild
+Packaged: 2023-10-24 22:30:20 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.64.0+ds-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 17:58:26 +0100

## r-bioc-preprocesscore 1.66.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.64.0
+Version: 1.66.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,9 +13,10 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_18
-git_last_commit: 887abd3
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 3d14c98
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 22:30:20 UTC; biocbuild
+Packaged: 2024-05-01 05:22:02 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.66.0+ds-2) unstable; urgency=medium

  * Team upload.
  * d/control: add breaks for the pre-bioc-3.19 version of r-bioc-affy
    as it depends on r-bioc-preprocesscore for its autopkgtests; as a
    hint to not run those tests using any bioc-3.18 packages (especially
    on the 32-bit architectures).

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 17:23:41 +0900

r-bioc-preprocesscore (1.66.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:42:24 +0200

r-bioc-preprocesscore (1.66.0+ds-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:11:43 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Breaks: r-bioc-affy (<< 1.82)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: BioConductor collection of pre-processing functions

## r-bioc-preprocesscore 1.68.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: preprocessCore
-Version: 1.66.0
+Version: 1.68.0
 Title: A collection of pre-processing functions
 Author: Ben Bolstad <bmb@bmbolstad.com>
 Maintainer: Ben Bolstad <bmb@bmbolstad.com>
@@ -13,10 +13,10 @@
 LazyLoad: yes
 biocViews: Infrastructure
 git_url: https://git.bioconductor.org/packages/preprocessCore
-git_branch: RELEASE_3_19
-git_last_commit: 3d14c98
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: fa0e33e
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 05:22:02 UTC; biocbuild
+Packaged: 2024-10-30 02:12:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-preprocesscore (1.68.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 18:02:10 +0100

r-bioc-preprocesscore (1.68.0+ds-1) experimental; urgency=medium

  * Team upload.
  * Those breaks weren't useful, so remove them. (They weren't harmful
    either)
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:22:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-preprocesscore.git
 Homepage: https://bioconductor.org/packages/preprocessCore/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -18,7 +18,6 @@
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Breaks: r-bioc-affy (<< 1.82)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: BioConductor collection of pre-processing functions

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/preprocessCore.html .*/preprocessCore_([\d\.]+)\.tar\.gz
